from .models import User


class EmailBackend(object):
    def authenticate(self, requests, **credentials):
        email = credentials.get("email", credentials.get("username"))
        try:
            user = User.objects.get(email=email)
        except User.DoesNotExist:
            pass
        else:
            if user.check_password(credentials["password"]):
                return user

    def get_user(self, user_id):
        """
        该方法是必须的
        """
        try:
            return User.objects.get(pk=user_id)
        except User.DoesNotExist:
            return None
